#!/usr/bin/python

import sys
import os
import logging

sys.path.insert(1, '../../../lib')
sys.path.insert(1, '../lib')
sys.path.insert(1, './lib')

# This sets up the dbus interface for testing
os.environ['test_suite'] = 'True'

info = {
    'id': 'test_type',
    'name': 'Test Type Account',
    'version': '3.14.15'
}

if __name__ == '__main__':
    # When called without arguments print information
    if len(sys.argv) == 1:
        logging.warn("Loading Test Account Plugin")
        import json
        print json.dumps(info)
        sys.exit(0)

    import gobject
    import dbus
    from MuchMuch.interfaces import AccountInterface

    mainloop = gobject.MainLoop()
    try:
        interface = AccountInterface(info, sys.argv[1])
        # Tie together a client interface here if you want
        mainloop.run()
    except KeyboardInterrupt:
        logging.error("User Interputed")
    logging.debug("Exiting Test Account Plugin")



