#!/bin/bash
#
# Copyright: 2010 Martin Owens
# Licensed: GPLv3
#

for TEST in `ls test_*.py`
 do
  PART=${TEST%.*}
  python $TEST &> $PART.log
  RESULT=`grep FAILED $PART.log`
  ERROR=`grep -B10 Error $PART.log`
  if [ -n "$RESULT" ]; then
    echo "FAILED: $PART > $RESULT"
  else if [ -n "$ERROR" ]; then
    echo "ERROR: $PART > $ERROR"
  else
    echo "PASSED: $PART"
    rm $PART.log
  fi
  fi
done

rm service.log
rm *.pyc

