#
# Copyright 2011 Martin Owens <doctormo@gmail.com>
#
# This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>
#
"""Provide an email service over dbus using notmuch"""

import os
import sys
import uuid
import shutil
import logging
import gobject

from dbus.service import BusName
from MuchMuch.base import ROOT_ADDRESS, SESSION_BUS, SERVICE_ADDRESS as SOA

# Don't delete this line, it's important to the fucnctioning of the dbus service!
BUS_NAME = BusName(SOA, SESSION_BUS)

from MuchMuch.mailroom import EmailService

# Try and hide the launching of dbus so
# tests that do not need it are not loading it.
def boot_dbus_service():
    dobject = EmailService()

